from subprocess import Popen, PIPE


class CommandException(Exception):
    pass


def run_command(command):
    try:
        child = Popen(command.split(), stdout=PIPE)
        output = child.communicate()[0]
        exitcode = child.returncode
        return output, exitcode
    except OSError as e:
        raise CommandException(e)
